﻿
    <div class="card" style=@CardWidth>

        <div class="card-header">
            @Title
        </div>

        <div class="card-body @MaxHeightCss" style="max-height:@maxHeight; overflow-y:auto;">
            @ChildContent
        </div>

    </div>

@code {

    [Parameter]
    public bool WithMaxHeight { get; set; } = true;
    private string MaxHeightCss = "800px";

    [Parameter]
    public string Width { get; set; }

    private string CardWidth = "";

    [Parameter]
    public string Title { get; set; }

    [Parameter]
    public RenderFragment ChildContent { get; set; }

    [Parameter]
    public string MaxHeight { get; set; }
    private string maxHeight = "";

    protected override Task OnParametersSetAsync()
    {
        if (!string.IsNullOrWhiteSpace(this.Width)) CardWidth = "width: " + Width + ";";

        if (this.WithMaxHeight) this.MaxHeightCss = "card-modal-height";

        if (!string.IsNullOrWhiteSpace(MaxHeight)) maxHeight = MaxHeight;

        return base.OnParametersSetAsync();
    }

}
